Rapid7 Vulnerability & Exploit Database

SUSE Linux Security Vulnerability: CVE-2009-0500

Back to Search

SUSE Linux Security Vulnerability: CVE-2009-0500

Severity
4
CVSS
(AV:N/AC:M/Au:N/C:N/I:P/A:N)
Published
02/09/2009
Created
07/25/2018
Added
02/17/2015
Modified
07/04/2017

Description

Cross-site scripting (XSS) vulnerability in course/lib.php in Moodle 1.6 before 1.6.9, 1.7 before 1.7.7, 1.8 before 1.8.8, and 1.9 before 1.9.4 allows remote attackers to inject arbitrary web script or HTML via crafted log table information that is not properly handled when it is displayed in a log report.

Solution(s)

  • suse-upgrade-moodle
  • suse-upgrade-moodle-af
  • suse-upgrade-moodle-ar
  • suse-upgrade-moodle-be
  • suse-upgrade-moodle-bg
  • suse-upgrade-moodle-bs
  • suse-upgrade-moodle-ca
  • suse-upgrade-moodle-cs
  • suse-upgrade-moodle-da
  • suse-upgrade-moodle-de
  • suse-upgrade-moodle-de_du
  • suse-upgrade-moodle-el
  • suse-upgrade-moodle-es
  • suse-upgrade-moodle-et
  • suse-upgrade-moodle-eu
  • suse-upgrade-moodle-fa
  • suse-upgrade-moodle-fi
  • suse-upgrade-moodle-fr
  • suse-upgrade-moodle-ga
  • suse-upgrade-moodle-gl
  • suse-upgrade-moodle-he
  • suse-upgrade-moodle-hi
  • suse-upgrade-moodle-hr
  • suse-upgrade-moodle-hu
  • suse-upgrade-moodle-id
  • suse-upgrade-moodle-is
  • suse-upgrade-moodle-it
  • suse-upgrade-moodle-ja
  • suse-upgrade-moodle-ka
  • suse-upgrade-moodle-km
  • suse-upgrade-moodle-kn
  • suse-upgrade-moodle-ko
  • suse-upgrade-moodle-lt
  • suse-upgrade-moodle-lv
  • suse-upgrade-moodle-mi_tn
  • suse-upgrade-moodle-ms
  • suse-upgrade-moodle-nl
  • suse-upgrade-moodle-nn
  • suse-upgrade-moodle-no
  • suse-upgrade-moodle-pl
  • suse-upgrade-moodle-pt
  • suse-upgrade-moodle-ro
  • suse-upgrade-moodle-ru
  • suse-upgrade-moodle-sk
  • suse-upgrade-moodle-sl
  • suse-upgrade-moodle-so
  • suse-upgrade-moodle-sq
  • suse-upgrade-moodle-sr
  • suse-upgrade-moodle-sv
  • suse-upgrade-moodle-th
  • suse-upgrade-moodle-tl
  • suse-upgrade-moodle-tr
  • suse-upgrade-moodle-uk
  • suse-upgrade-moodle-vi
  • suse-upgrade-moodle-zh_cn

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;